import type { Interval, vec } from "mafs";
export type Box = [x: Interval, y: Interval];
export declare function clampToBox(box: Box, point: vec.Vector2): vec.Vector2;
export declare function inset(amount: vec.Vector2, box: Box): Box;
export declare function isInBound({ range, point, }: {
    range: [Interval, Interval];
    point: vec.Vector2;
}): boolean;
